# TrackerSparqlError

## Functions

### tracker_sparql_error_quark

    GQuark
    tracker_sparql_error_quark ()

Returns –

The error domain quark used for Tracker errors.

### Tracker.prototype.sparql_error_quark

    function Tracker.prototype.sparql_error_quark(): {
        // javascript wrapper for 'tracker_sparql_error_quark'
    }

Returns (GLib.Quark) –

The error domain quark used for Tracker errors.

### Tracker.sparql_error_quark

    def Tracker.sparql_error_quark ():
        #python wrapper for 'tracker_sparql_error_quark'

Returns (GLib.Quark) –

The error domain quark used for Tracker errors.

## Enumerations

### TrackerSparqlError

Error domain for Tracker Sparql. Errors in this domain will be from the TrackerSparqlError enumeration. See GError for more information on error domains.

##### Members

`TRACKER_SPARQL_ERROR_CONSTRAINT` (0) –

Subject is not in the domain of a property or trying to set multiple values for a single valued property.

`TRACKER_SPARQL_ERROR_INTERNAL` (1) –

Internal error.

`TRACKER_SPARQL_ERROR_NO_SPACE` (2) –

There was no disk space available to perform the request.

`TRACKER_SPARQL_ERROR_ONTOLOGY_NOT_FOUND` (3) –

The specified ontology wasn't found.

`TRACKER_SPARQL_ERROR_OPEN_ERROR` (4) –

Problem encounted while opening the database.

`TRACKER_SPARQL_ERROR_PARSE` (5) –

Error parsing the SPARQL string.

`TRACKER_SPARQL_ERROR_QUERY_FAILED` (6) –

Problem while executing the query.

`TRACKER_SPARQL_ERROR_TYPE` (7) –

Type constraint failed when trying to insert data.

`TRACKER_SPARQL_ERROR_UNKNOWN_CLASS` (8) –

Unknown class.

`TRACKER_SPARQL_ERROR_UNKNOWN_GRAPH` (9) –

Unknown graph.

`TRACKER_SPARQL_ERROR_UNKNOWN_PROPERTY` (10) –

Unknown property.

`TRACKER_SPARQL_ERROR_UNSUPPORTED` (11) –

Unsupported feature or method.

`TRACKER_SPARQL_ERROR_MISSING_LAST_MODIFIED_HEADER` (12) –

The ontology doesn't contain nrl:lastModified header

`TRACKER_SPARQL_ERROR_INCOMPLETE_PROPERTY_DEFINITION` (13) –

The property is not completely defined.

`TRACKER_SPARQL_N_ERRORS` (14) –

The total number of error codes.

### Tracker.SparqlError

Error domain for Tracker Sparql. Errors in this domain will be from the Tracker.SparqlError enumeration. See GError for more information on error domains.

##### Members

`Tracker.SparqlError.ERROR_CONSTRAINT` (0) –

Subject is not in the domain of a property or trying to set multiple values for a single valued property.

`Tracker.SparqlError.ERROR_INTERNAL` (1) –

Internal error.

`Tracker.SparqlError.ERROR_NO_SPACE` (2) –

There was no disk space available to perform the request.

`Tracker.SparqlError.ERROR_ONTOLOGY_NOT_FOUND` (3) –

The specified ontology wasn't found.

`Tracker.SparqlError.ERROR_OPEN_ERROR` (4) –

Problem encounted while opening the database.

`Tracker.SparqlError.ERROR_PARSE` (5) –

Error parsing the SPARQL string.

`Tracker.SparqlError.ERROR_QUERY_FAILED` (6) –

Problem while executing the query.

`Tracker.SparqlError.ERROR_TYPE` (7) –

Type constraint failed when trying to insert data.

`Tracker.SparqlError.ERROR_UNKNOWN_CLASS` (8) –

Unknown class.

`Tracker.SparqlError.ERROR_UNKNOWN_GRAPH` (9) –

Unknown graph.

`Tracker.SparqlError.ERROR_UNKNOWN_PROPERTY` (10) –

Unknown property.

`Tracker.SparqlError.ERROR_UNSUPPORTED` (11) –

Unsupported feature or method.

`Tracker.SparqlError.ERROR_MISSING_LAST_MODIFIED_HEADER` (12) –

The ontology doesn't contain nrl:lastModified header

`Tracker.SparqlError.ERROR_INCOMPLETE_PROPERTY_DEFINITION` (13) –

The property is not completely defined.

`Tracker.SparqlError.N_ERRORS` (14) –

The total number of error codes.

### Tracker.SparqlError

Error domain for Tracker Sparql. Errors in this domain will be from the Tracker.SparqlError enumeration. See GError for more information on error domains.

##### Members

`Tracker.SparqlError.ERROR_CONSTRAINT` (0) –

Subject is not in the domain of a property or trying to set multiple values for a single valued property.

`Tracker.SparqlError.ERROR_INTERNAL` (1) –

Internal error.

`Tracker.SparqlError.ERROR_NO_SPACE` (2) –

There was no disk space available to perform the request.

`Tracker.SparqlError.ERROR_ONTOLOGY_NOT_FOUND` (3) –

The specified ontology wasn't found.

`Tracker.SparqlError.ERROR_OPEN_ERROR` (4) –

Problem encounted while opening the database.

`Tracker.SparqlError.ERROR_PARSE` (5) –

Error parsing the SPARQL string.

`Tracker.SparqlError.ERROR_QUERY_FAILED` (6) –

Problem while executing the query.

`Tracker.SparqlError.ERROR_TYPE` (7) –

Type constraint failed when trying to insert data.

`Tracker.SparqlError.ERROR_UNKNOWN_CLASS` (8) –

Unknown class.

`Tracker.SparqlError.ERROR_UNKNOWN_GRAPH` (9) –

Unknown graph.

`Tracker.SparqlError.ERROR_UNKNOWN_PROPERTY` (10) –

Unknown property.

`Tracker.SparqlError.ERROR_UNSUPPORTED` (11) –

Unsupported feature or method.

`Tracker.SparqlError.ERROR_MISSING_LAST_MODIFIED_HEADER` (12) –

The ontology doesn't contain nrl:lastModified header

`Tracker.SparqlError.ERROR_INCOMPLETE_PROPERTY_DEFINITION` (13) –

The property is not completely defined.

`Tracker.SparqlError.N_ERRORS` (14) –

The total number of error codes.

## Constants

### TRACKER_SPARQL_ERROR

    #define TRACKER_SPARQL_ERROR tracker_sparql_error_quark ()

The results of the search are